G=zpk([],[-1+3*i,-1-3*i],3); %计算最大峰值时间和它对应的超调量。
C=dcgain(G);
[y,t]=step(G);
plot(t,y);
grid;
[Y,k]=max(y);
timetopeak=t(k);
percentovershoot=100*(Y-C)/C;%计算上升时间。
n=1;
while y(n)<C
    n=n+1;
end
risetime=t(n);%计算稳态响应时间。
i=length(t);
while(y(i)>0.98*C)&(y(i)<1.02*C)
    i=i-1;
end
setllingtime=t(i);